package w83b.w83bBeans;

import java.sql.ResultSet;

import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bPapeletasBD;
/**
 * 
 * 
 * @author jroncal
 * 
 */
public class W83bPapeletasBean extends W83bBaseBean implements W83bBaseBeanBD{
	private static final long	serialVersionUID	= 1L;
	private String	anyoActa = "";
	private String	territorioActa = "";
	private String	numActa = "";
	private String	versionActa = "";

	private String	validas = "";
	private String	nulas = "";
	private String	blancas = "";	
	private String	electores = "";
	private String	votantes = "";
	private String	colegio = "";	
	
	public String getAnyoActa() {
		return anyoActa;
	}


	public void setAnyoActa(String anyoActa) {
		this.anyoActa = anyoActa;
	}


	public String getTerritorioActa() {
		return territorioActa;
	}


	public void setTerritorioActa(String territorioActa) {
		this.territorioActa = territorioActa;
	}


	public String getNumActa() {
		return numActa;
	}


	public void setNumActa(String numActa) {
		this.numActa = numActa;
	}


	public String getVersionActa() {
		return versionActa;
	}


	public void setVersionActa(String versionActa) {
		this.versionActa = versionActa;
	}


	public String getValidas() {
		return validas;
	}


	public void setValidas(String validas) {
		this.validas = validas;
	}


	public String getNulas() {
		return nulas;
	}


	public void setNulas(String nulas) {
		this.nulas = nulas;
	}


	public String getBlancas() {
		return blancas;
	}


	public void setBlancas(String blancas) {
		this.blancas = blancas;
	}


	public String getElectores() {
		return electores;
	}


	public void setElectores(String electores) {
		this.electores = electores;
	}


	public String getVotantes() {
		return votantes;
	}


	public void setVotantes(String votantes) {
		this.votantes = votantes;
	}


	public String getColegio() {
		return colegio;
	}


	public void setColegio(String colegio) {
		this.colegio = colegio;
	}


	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		// TODO Auto-generated method stub
		ResultSet rs = (ResultSet)o;//NOPMD
		if(null != otrosValores){
			if(otrosValores instanceof String){
				if("incidencia".equals(otrosValores)){
					this.anyoActa = W83bDataBase.getStringFromRS(rs, W83bPapeletasBD.anyoActa);
					this.territorioActa = W83bDataBase.getStringFromRS(rs, W83bPapeletasBD.territorioActa);
					this.numActa = W83bDataBase.getStringFromRS(rs, W83bPapeletasBD.acta);
					this.versionActa = W83bDataBase.getStringFromRS(rs, W83bPapeletasBD.versionActa);
				}
			}
		}
			this.validas = W83bDataBase.getStringFromRS(rs, W83bPapeletasBD.validas);
			this.nulas = W83bDataBase.getStringFromRS(rs, W83bPapeletasBD.nulas);
			this.blancas = W83bDataBase.getStringFromRS(rs, W83bPapeletasBD.blancas);
			this.electores = W83bDataBase.getStringFromRS(rs, W83bPapeletasBD.electores);
			this.votantes = W83bDataBase.getStringFromRS(rs, W83bPapeletasBD.votantes);
			this.colegio = W83bDataBase.getStringFromRS(rs, W83bPapeletasBD.codColegio);
		return this;
	}

}
